
TYPO3.Flow - Feature # 90

Status: Closed Priority: Could have
Author: Robert Lemke Category: Package
Created: 2008-01-15 Assigned To: Christian Jul Jensen
Updated: 2012-11-07 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add PHP dependency support
Description

The package manager should support dependencies on PHP extensions and compiling options. A package should just define these
dependencies, conflicts etc. in its PackageInfo.xml file.

Related issues:
related to TYPO3.Flow - Feature # 1856: The Package Manager checks dependenci... New 2008-10-27

History
#1 - 2008-01-15 16:06 - Robert Lemke

Part of task #14

#2 - 2008-07-01 15:36 - Robert Lemke
- Target version deleted (1)

#3 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#4 - 2009-05-14 17:13 - Robert Lemke
- Target version changed from 1.0 alpha 1 to 283

#5 - 2009-06-04 15:45 - Robert Lemke
- Assigned To deleted (Robert Lemke)
- Priority changed from Must have to Could have
- Target version changed from 283 to 1.0 alpha 2

#6 - 2009-06-26 16:23 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#7 - 2009-07-13 10:54 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 3

#8 - 2009-07-13 10:58 - Robert Lemke
- Assigned To set to Christopher Hlubek

#9 - 2009-08-17 11:32 - Robert Lemke
- Target version deleted (1.0 alpha 3)

#10 - 2012-11-07 11:41 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To changed from Christopher Hlubek to Christian Jul Jensen
- Has patch set to No

Composer can do this, just put the requirements in composer.json.
